﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace TestGrid
{
	public enum ItemType
	{
		Gender,
		Age,
		Language
	}

	public enum CtrlStyle
	{
		EditBox,
		DropDown,
		CheckedListBox,
	}

	public static class ItemHelper
	{
		public static readonly string Seperator = ",";
		public static List<string> GenderConditionSymbol
		{
			get
			{
				return new List<string>() { "is" };
			}
		}

		public static List<string> GetConditionSymbols(ItemType type)
		{
			switch (type)
			{
				case ItemType.Age:
					return new List<string>() { ">", "<", "=" };
				case ItemType.Gender:
					return new List<string>() { "is" };
				case ItemType.Language:
					return new List<string>() { "is any of" };

			}

			return null;
		}

		public static CtrlStyle GetConditionCtrlStyle(ItemType type)
		{
			switch (type)
			{
				case ItemType.Age: return CtrlStyle.EditBox;
				case ItemType.Gender: return CtrlStyle.DropDown;
				case ItemType.Language: return CtrlStyle.CheckedListBox;
			}

			return CtrlStyle.EditBox;
 
		}

		public static List<string> GetConditionValues(ItemType type)
		{
			if (type == ItemType.Age) return null;
			if (type == ItemType.Gender) return new List<string>() { "Male","Female"};
			if (type == ItemType.Language) return new List<string>() { "English", "French", "Chinese" };

			return null;
		}

	}

	public class DataItem
	{
		public string Property
		{
			get;
			set;
		}

		public string Condition
		{
			get;
			set;
		}

		public string Value
		{
			get;
			set;
		}


	}
}
